function initialize()
{
  Tux.add_bonus("grow");
  LOGO.set_visible(false);
  LOGO.enable_gravity(false);
}

function logo_in()
{
  local x = LOGO.get_pos_x();
  local y = LOGO.get_pos_y();
  local time = 1.5;
  LOGO.set_pos(x,-120);
  LOGO.set_visible(true);
  LOGO.set_velocity(0,(120+y)/time);
  LOGO.enable_gravity(false);
  wait(time);
  LOGO.set_velocity(0,0);
  wait(3);
  LOGO.set_visible(false);
}

function intro_text()
{
  Text.set_text(_("Somewhere at the shores\nof Antarctica..."));
  Text.fade_in(1);
  wait(1);
  Text.fade_out(1);
}

function rap_scene()
{
  Tux.deactivate();
  Tux.walk(150);
}

function end_level()
{
  //end intro sequence
  Effect.fade_out(2);
  wait(2.1);
  Level.finish(true);
}

state_idx <- 0;
states <- { init=0, start=1, logo_in=2, intro_text=3, rap_scene=4, end_level=5};
function trigger_state(state) {
  local idx = states[state];
  if(!idx || idx <= state_idx)
    return;
  state_idx = idx;
  switch(state) {
    case "start":
      initialize();
      break;
    case "logo_in":
      logo_in();
      break;
    case "intro_text":
      intro_text();
      break;
    case "rap_scene":
      rap_scene();
      break;
    case "end_level":
      end_level();
      break;
  }
}